# Search

The tutelar Adverse media, also known as negative news, is any unfavourable information found across different public sources. This includes various sources from traditional news outlets, official press releases, to social media platforms.

## Endpoint

`POST` `https://secctrl.tutelar.io/api/v1/aml/adverse-media-search`

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

## Sample Response

### 401: Unauthorized

```json
{
  "success": false,
  "code": 1001,
  "message": "Unauthorized access",
  "data": {}
}
```

### 422: Unprocessable Entity

```json
{
  "success": false,
  "code": 1001,
  "message": "Sdn Type field is missing",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Invalid data received from Sdn Type",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Minimum 3 characters are allowed in Name",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Invalid characters detected in Name",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Invalid characters detected in UCIC",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Adverse Media Data not found",
  "data": {}
}
```

### 500: Internal Server Error

```json
{
  "success": false,
  "code": 1001,
  "message": "Something went wrong",
  "data": {}
}
```

## Query Parameter

| Query Parameter | Type   | Is Mandatory | Description                                                               |
| --------------- | ------ | ------------ | ------------------------------------------------------------------------- |
| sdnType         | String | Yes          | sdnType (individual, entity ) This field is for defining the search type. |

## Post parameters description is given below,

| Post Parameter | Type   | is mandatory | Description                                                                                                                                        |
| -------------- | ------ | ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| name           | String | Yes          | if sdnType is individual, then name field searches on person names.if sdnType is entity, then name field searches on company or organisations.     |
| nationality    | String | No           | Nationality to search individual or entity Country code will be mention below ( [Accepted-Countries](/adverse-media-search/country-code-list.md) ) |
| ucic           | String | No           | A unique customer identification code is used to map multiple searches to a single UCIC.                                                           |

## Sample post data format:

```json
{
  "name": "Vladimir Putin",
  "nationality": "ru",
  "ucic": "CUS_001"
}
```

## Sample Response

```json
{
  "success": true,
  "code": 200,
  "message": "Aml Adverse Media list are",
  "data": {
    "searchResults": [
      {
        "name": [
          "Vladimir Putin"
        ],
        "birth_incorporation_date": [
          "1952-10-07"
        ],
        "adverse_keywords": [],
        "nationality": [],
        "id": "8NrEq2GYS7TKDUo32pLFTC",
        "entity_type": "Person",
        "decisionStatus": false
      },
      {
        "name": [
          "Vladimir PUTIN"
        ],
        "birth_incorporation_date": [
          "1975-03-06"
        ],
        "adverse_keywords": [],
        "nationality": [
          "RUSSIAN FEDERATION"
        ],
        "id": "53hFcGcokazWLYhqTfzVB3",
        "entity_type": "Person",
        "decisionStatus": false
      }
    ],
    "flowStatus": "no_adverse",
    "searchHistoryId": "SH_HfV8jwsf8l",
    "searchDate": "2025-09-17T10:44:30.409Z",
    "noResults": {},
    "relation": {
      "decision": {
        "meta": {
          "actionButton": [
            "true_match",
            "false_positive",
            "no_match"
          ]
        }
      }
    }
  }
}
```

## Failure response:

```json
{
  "success": false,
  "code": 1001,
  "message": "Sdn Type field is missing",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Invalid data received from Sdn Type",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Minimum 3 characters are allowed in Name",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Invalid characters detected in Name",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Invalid characters detected in UCIC",
  "data": {}
}
{
  "success": false,
  "code": 1001,
  "message": "Adverse Media Data not found",
  "data": {}
}
```

## Response Parameter description is given below,

| Response Parameter         | Type            | Description                                                                                                          |
| -------------------------- | --------------- | -------------------------------------------------------------------------------------------------------------------- |
| searchHistoryId            | String          | Unique identifier for each search history record.                                                                    |
| searchDate                 | String          | The exact date and time (UTC timestamp) when the client performed the search.                                        |
| searchResults              | Array of Object | Contains a collection of matched results for the search.                                                             |
| name                       | Array           | List of individual or entity names returned from the search.                                                         |
| birth\_incorporation\_date | Array           | Birth date (for individuals) or incorporation date (for entities), if available.                                     |
| adverse\_keywords          | Array           | Keywords or risk indicators (e.g., fraud, sanctions, corruption) associated with the search result.                  |
| nationality                | Array           | Nationality details of the searched individual(s).                                                                   |
| country                    | Array           | Country details of the searched entity (for companies/organizations).                                                |
| id                         | String          | Unique identifier of the entity or individual record in the system.                                                  |
| entity\_type               | String          | Type of the entity (e.g., Company, Individual).                                                                      |
| decisionStatus             | Boolean         | It provides the details regarding the status of the action taken . If the action is taken the results will be shown. |
| flowStatus                 | String          | Represents the process flow type used for the search (for internal purpose )                                         |
| noResults                  | Object          | Based on advance post search data no data found. noResults objects with below key values.                            |
| relation                   | Object          | Relation of search results for decisions.                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
